Fork me on GitHub

Monday, May 5, 2014

Scaloid 3.4 is released

Today I released Scaloid 3.4. This version contains no new features, but reflects important policy changes:

Recommends Scala 2.11

From this version, Scaloid will be released for Scala 2.11 only. But don't worry, you can easily build your own with Scala 2.10.

Drops Froyo support

Last month, we found an incompatibility between Android API 8 and Scala 2.11. From this version, we drop support Froyo.


Scaloid is released to central maven repository.

For a maven project:
<dependency>
    <groupId>org.scaloid</groupId>
    <artifactId>scaloid_2.11</artifactId>
    <version>3.4-10</version>
</dependency>
or for an sbt project:
libraryDependencies += "org.scaloid" %% "scaloid" % "3.4-10"